curl --request POST \
--url https://api.leokit.dev/status \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"protocol": "mayachain",
"tx_id": "0xf077b6380b5023e73a200abed3128a857fbb0663c95fa50c5140b22b29895503",
"quote_id": "019b4c96-e47b-7000-afd4-17252097b092"
}
'import requests
url = "https://api.leokit.dev/status"
payload = {
"protocol": "mayachain",
"tx_id": "0xf077b6380b5023e73a200abed3128a857fbb0663c95fa50c5140b22b29895503",
"quote_id": "019b4c96-e47b-7000-afd4-17252097b092"
}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
protocol: 'mayachain',
tx_id: '0xf077b6380b5023e73a200abed3128a857fbb0663c95fa50c5140b22b29895503',
quote_id: '019b4c96-e47b-7000-afd4-17252097b092'
})
};
fetch('https://api.leokit.dev/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"protocol": "<string>",
"hash": "<string>",
"network": "<string>",
"req_id": "<string>",
"status": "<string>",
"status_url": "<string>",
"scanner": "<string>",
"native_scanner": "<string>",
"in_amount": 123,
"from_token": "<string>",
"to_token": "<string>",
"type": "<string>",
"from_address": "<string>",
"date": 123
}{
"message": "<string>",
"code": "<string>"
}Transaction Status
View status of your transaction
Authorizations
Demo API-Key (Sandbox): 7037d2b3-9c76-4f62-b730-c544f7570fa4
Body
Request body for /status.
Quote identifier returned from /quote.
Origin chain transaction id/hash.
"0xf077b6380b5023e73a200abed3128a857fbb0663c95fa50c5140b22b29895503"
Optional protocol hint (e.g., mayachain).
"mayachain"
Response
Transaction status response
Protocol used to route/execute the action (e.g., mayachain).
Transaction hash / txid for the action (hex string).
Origin network for the transaction (e.g., arbitrum).
Optional request identifier for correlating calls. May be empty.
Current transaction status (e.g., pending, success, failed).
Link to a status/details endpoint for the underlying protocol.
Explorer/scanner URL for the transaction.
Native scanner URL (or a message when not available).
Input amount provided for the action.
Input token/asset identifier.
Output token/asset identifier.
Action type (e.g., swap).
Sender address on the origin network.
Event timestamp in milliseconds since epoch.